<template>
  <div class="error-block">
    <h2>{{ error.message }}</h2>
    <nuxt-link to="/"> Back To Home </nuxt-link>
  </div>
</template>

<script>
export default {
  props: {
    error: {
      type: Object,
      default: () => {},
    },
  },
}
</script>

<style lang="scss" scoped>
.error-block {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 2rem;
  padding: 100px 0px;
  margin: auto;
  img {
    width: 4rem;
    height: 4rem;
    margin-bottom: 1rem;
  }
  h2 {
    text-align: center;
    color: #9c9c9c;
    margin-bottom: 1rem;
  }
}
</style>
